Apache Tomcat 7.0.42

## org.apache.catalina.core
Class AccessLogAdapter

    java.lang.Object
      org.apache.catalina.core.AccessLogAdapter

All Implemented Interfaces:
  AccessLog

    public class AccessLogAdapter

extends Object
implements AccessLog

A helper class that wraps several AccessLog instances.

Field Summary

Fields inherited from interface org.apache.catalina.AccessLog
`PROTOCOL_ATTRIBUTE, REMOTE_ADDR_ATTRIBUTE, REMOTE_HOST_ATTRIBUTE, SERVER_PORT_ATTRIBUTE`

Constructor Summary
`AccessLogAdapter(AccessLog log)`

Method Summary
`void` `add(AccessLog log)`
`boolean` `getRequestAttributesEnabled()`
`void` `log(Request request, Response response, long time)` Add the request/response to the access log using the specified processing time.
`void` `setRequestAttributesEnabled(boolean requestAttributesEnabled)` Should this valve set request attributes for IP address, Hostname, protocol and port used for the request?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessLogAdapter

    public AccessLogAdapter(AccessLog log)

Method Detail

### add

    public void add(AccessLog log)

### log

    public void log(Request request,
                    Response response,
                    long time)

  Description copied from interface: `AccessLog`
  Add the request/response to the access log using the specified processing time.

  Specified by:
    `log` in interface `AccessLog`
  Parameters:
    `request` - Request (associated with the response) to log
    `response` - Response (associated with the request) to log
    `time` - Time taken to process the request/response in milliseconds (use 0 if not known)

### setRequestAttributesEnabled

    public void setRequestAttributesEnabled(boolean requestAttributesEnabled)

  Description copied from interface: `AccessLog`
  Should this valve set request attributes for IP address, Hostname, protocol and port used for the request? This are typically used in conjunction with the `AccessLogValve` which will otherwise log the original values. Default is `true`. The attributes set are:
  - org.apache.catalina.RemoteAddr
  - org.apache.catalina.RemoteHost
  - org.apache.catalina.Protocol
  - org.apache.catalina.ServerPost

  Specified by:
    `setRequestAttributesEnabled` in interface `AccessLog`
  Parameters:
    `requestAttributesEnabled` - `true` causes the attributes to be set, `false` disables the setting of the attributes.

### getRequestAttributesEnabled

    public boolean getRequestAttributesEnabled()

  Specified by:
    `getRequestAttributesEnabled` in interface `AccessLog`
  Returns:
    `true` if the attributes will be logged, otherwise `false`
  See Also:
    `AccessLog.setRequestAttributesEnabled(boolean)`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.